Last Comment Bug 1151721 - Blacklist older intel drivers for DXVA
: Blacklist older intel drivers for DXVA
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: 29 Branch
: x86 Mac OS X
-- normal (vote)
: mozilla40
Assigned To: Matt Woodrow (:mattwoodrow)
:
: Maire Reavy [:mreavy] Please needinfo me
Mentors:
Depends on: 1151611
Blocks: MSE BLACK-YT 1152630
  Show dependency treegraph
 
Reported: 2015-04-06 22:17 PDT by Matt Woodrow (:mattwoodrow)
Modified: 2015-08-25 01:54 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
fixed
fixed
fixed


Attachments
blacklist-dxva-intel (1.63 KB, patch)
2015-04-06 22:17 PDT, Matt Woodrow (:mattwoodrow)
ajones: review+
sledru: approval‑mozilla‑aurora+
sledru: approval‑mozilla‑beta+
sledru: approval‑mozilla‑release+
Details | Diff | Splinter Review

Description User image Matt Woodrow (:mattwoodrow) 2015-04-06 22:17:18 PDT
Created attachment 8588932 [details] [diff] [review]
blacklist-dxva-intel

We seem to be getting a lot of reports of black video on youtube with intel GPU's and older drivers.

We've confirmed locally that 8.15.10.2279 is broken, and 8.15.10.2622 works. We'll blacklist everything before 2622 since the most accurate data we have available currently.
Comment 1 User image Anthony Jones (:kentuckyfriedtakahe, :k17e) 2015-04-06 22:19:50 PDT
Comment on attachment 8588932 [details] [diff] [review]
blacklist-dxva-intel

Review of attachment 8588932 [details] [diff] [review]:
-----------------------------------------------------------------

::: widget/windows/GfxInfo.cpp
@@ +1103,5 @@
>  
> +    APPEND_TO_DRIVER_BLOCKLIST2(DRIVER_OS_ALL,
> +      (nsAString&)GfxDriverInfo::GetDeviceVendor(VendorIntel), GfxDriverInfo::allDevices,
> +      nsIGfxInfo::FEATURE_HARDWARE_VIDEO_DECODING, nsIGfxInfo::FEATURE_BLOCKED_DRIVER_VERSION,
> +      DRIVER_LESS_THAN, V(8,15,10,22622));

s/22622/2622/
Comment 2 User image Matt Woodrow (:mattwoodrow) 2015-04-06 23:37:02 PDT
Comment on attachment 8588932 [details] [diff] [review]
blacklist-dxva-intel

Approval Request Comment
[Feature/regressing bug #]: HTML5 Video
[User impact if declined]: Black video on youtube when MSE gets enabled.
[Describe test coverage new/current, TreeHerder]: Manually tested and confirmed that 2622 driver works.
[Risks and why]: Low risk, just a blacklist change.
[String/UUID change made/needed]: None
Comment 3 User image Matt Woodrow (:mattwoodrow) 2015-04-06 23:40:39 PDT
 https://hg.mozilla.org/integration/mozilla-inbound/rev/19bbae14c606
Comment 4 User image Ryan VanderMeulen [:RyanVM] 2015-04-07 13:08:05 PDT
https://hg.mozilla.org/mozilla-central/rev/19bbae14c606
Comment 5 User image Sylvestre Ledru [:sylvestre] 2015-04-08 05:27:46 PDT
Comment on attachment 8588932 [details] [diff] [review]
blacklist-dxva-intel

Should be in 38 beta 3.
Comment 6 User image Ryan VanderMeulen [:RyanVM] 2015-04-08 07:46:21 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/b560bd6dba33
Comment 7 User image Ryan VanderMeulen [:RyanVM] 2015-04-08 08:02:00 PDT
Ran afoul of bug 1149343. Backed out and re-landed with that fixed.
https://hg.mozilla.org/releases/mozilla-aurora/rev/a8f5e241cb6f
https://hg.mozilla.org/releases/mozilla-aurora/rev/7be40dfbc869
Comment 8 User image Wes Kocher (:KWierso) 2015-04-08 12:50:46 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/d4e6fe0b0eb5
Comment 9 User image Chris Peterson [:cpeterson] 2015-04-13 14:41:30 PDT
[Tracking Requested - why for this release]:

If we release a 37.0.2 chemspill, we will want this GPU blocklist fix. We would no longer need hotfix bug 1152630.
Comment 10 User image Chris Peterson [:cpeterson] 2015-04-13 22:01:38 PDT
Sylvestre, Lawrence said said a 37.0.2 release may go to build as early as April 14. I wanted to make sure we can get this GPU blocklist changes in 37.0.2 so we don't need the hotfix in bug 1152630.
Comment 11 User image Sylvestre Ledru [:sylvestre] 2015-04-14 02:50:49 PDT
Comment on attachment 8588932 [details] [diff] [review]
blacklist-dxva-intel

Sure. I guess Lawrence was going to approve it, so, I am approving it for you to make sure it lands soon.
Comment 12 User image Ryan VanderMeulen [:RyanVM] 2015-04-14 12:04:08 PDT
https://hg.mozilla.org/releases/mozilla-release/rev/29e130e0b166
Comment 13 User image Florin Mezei, QA (:FlorinMezei) 2015-04-16 04:49:40 PDT
I've tried to verify if blacklisting works through the aid of spoofing graphics data, on a Windows 7 x64 machine. I did not notice any change for the "media.windows-media-foundation.use-dxva" pref or the "GPU Accelerated Windows" value in about:support, when trying driver versions that should be blocked or unblocked. The actual steps to test this are below. 

Am I looking for the wrong things to verify here? Maybe this method of spoofing cannot be used to verify DXVA blocking?

Steps to verify:
1. Firefox 37.0.2 is installed at some location.
2. Create "spoofed-firefox.bat" file with following content (pointing to location of Firefox 37.0.2):
SET MOZ_GFX_SPOOF_WINDOWS_VERSION=60001
SET MOZ_GFX_SPOOF_VENDOR_ID=0x8086
SET MOZ_GFX_SPOOF_DEVICE_ID=0x8108
SET MOZ_GFX_SPOOF_DRIVER_VERSION=8.15.10.2222
"G:\Mozilla\37.0.2\firefox.exe" -p -no-remote
3. Open "spoofed-firefox.bat" to launch Firefox 37.0.2, create a new profile, start Firefox 37.0.2, and verify "about:support" and "about:config".

I've used the method above to successfully verify blacklisting for other features like D2D, OMTC, WebGL.
Comment 14 User image Lawrence Mandel [:lmandel] (use needinfo) 2015-04-16 11:33:59 PDT
Matt - Can you answer Florin's question in comment 13?
Comment 15 User image Matt Woodrow (:mattwoodrow) 2015-04-16 13:37:20 PDT
We don't report DXVA status in about:support, nor will the blacklist actually change the pref.

I'm not sure how we can verify this without one of the affected machines (or by checking if DXVA is being used with a debugger).

We should make sure we report DXVA status somewhere for the future.
Comment 16 User image Robert Kaiser 2015-04-16 13:55:46 PDT
(In reply to Matt Woodrow (:mattwoodrow) from comment #15)
> We should make sure we report DXVA status somewhere for the future.

Can you make sure you have a bug on file for this and put in your plans?
Comment 17 User image Matt Woodrow (:mattwoodrow) 2015-04-16 17:35:17 PDT
Bug 1151611 covers doing that.

Note You need to log in before you can comment on or make changes to this bug.